Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Catalog

  • Batch delete catalog objects

  • Batch retrieve catalog objects

  • Batch upsert catalog objects

  • Create catalog image

  • Update catalog image

  • Catalog info

  • List catalog

  • Upsert catalog object

  • Delete catalog object

  • Retrieve catalog object

  • Search catalog objects

  • Search catalog items

  • Update item modifier lists

  • Update item taxes

  • Webhooks

  • catalog.version.updated

<- Catalog API

Catalog API

All versions ->

Update item modifier lists

POST

 /v2/catalog/update-item-modifier-lists

Updates the CatalogModifierList objects that apply to the targeted CatalogItem without having to perform an upsert on the entire item.

Permissions:ITEMS_WRITE
Try in API Explorer
Link to section

Request body

Example code

Link to section

item_ids

string [ ]

Required

The IDs of the catalog items associated with the CatalogModifierList objects being updated.

Max Length
1000
Link to section

modifier_lists_to_enable

string [ ]

The IDs of the CatalogModifierList objects to enable for the CatalogItem. At least one of modifier_lists_to_enable or modifier_lists_to_disable must be specified.

Max Length
1000
Link to section

modifier_lists_to_disable

string [ ]

The IDs of the CatalogModifierList objects to disable for the CatalogItem. At least one of modifier_lists_to_enable or modifier_lists_to_disable must be specified.

Max Length
1000
Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

updated_at

string

The database timestamp of this update in RFC 3339 format, e.g., 2016-09-04T23:59:33.123Z.

Examples for January 25th, 2020 6:25:34pm Pacific Standard Time:

UTC: 2020-01-26T02:25:34Z

Pacific Standard Time with UTC offset: 2020-01-25T18:25:34-08:00

Link to section

Examples

All versions ->

POST /v2/catalog/update-item-modifier-lists
curl https://connect.squareup.com/v2/catalog/update-item-modifier-lists \ -X POST \ -H 'Square-Version: 2026-09-16' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "item_ids": [ "H42BRLUJ5KTZTTMPVSLFAACQ", "2JXOBJIHCWBQ4NZ3RIXQGJA6" ], "modifier_lists_to_enable": [ "H42BRLUJ5KTZTTMPVSLFAACQ", "2JXOBJIHCWBQ4NZ3RIXQGJA6" ], "modifier_lists_to_disable": [ "7WRC16CJZDVLSNDQ35PP6YAD" ] }'

Response JSON

{ "updated_at": "2016-11-16T22:25:24.878Z" }